/*
Пример использования
Ресурса cdrom image
Ресурс позволяет:
1. Создавать образ
2. Редактировать образ
3. Удалять образ
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_account_consumed_units_by_type" "acubt" {
  #id аккаунта
  #обязательный параметр
  #тип - целое число
  account_id = 33333

  #тип вычислительной единицы
  #обязательный параметр
  #тип - строка
  #значения:
  #CU_C - кол-во виртуальных cpu ядер
  #CU_M - кол-во RAM, в МБ
  #CU_D - кол-во используемой дисковой памяти, в ГБ
  #CU_I - кол-во публичных ip адресов
  #CU_DM - кол-во доступной дисковой памяти, в ГБ
  #gpu_units - кол-во GPU
  cu_type = "CU_C"
}

output "test" {
  value = data.decort_account_consumed_units_by_type.acubt
}
